Create a mock PIX payment
curl --request POST \
--url https://api-sandbox.circle.com/v1/mocks/payments/pix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"trackingRef": "CIR13FB13A",
"amount": {
"amount": "3.14",
"currency": "BRL"
},
"accountNumber": "4842622"
}
'import requests
url = "https://api-sandbox.circle.com/v1/mocks/payments/pix"
payload = {
"trackingRef": "CIR13FB13A",
"amount": {
"amount": "3.14",
"currency": "BRL"
},
"accountNumber": "4842622"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
trackingRef: 'CIR13FB13A',
amount: {amount: '3.14', currency: 'BRL'},
accountNumber: '4842622'
})
};
fetch('https://api-sandbox.circle.com/v1/mocks/payments/pix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"trackingRef": "CIR13FB13A",
"amount": {
"amount": "3.14",
"currency": "BRL"
},
"beneficiaryAccountNumber": "4842622",
"status": "pending"
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}Create a mock PIX payment
Initiates a mock PIX payment in the sandbox environment that mimics the behavior of funds sent through the bank account linked to the main wallet.
POST
/
v1
/
mocks
/
payments
/
pix
Create a mock PIX payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
PIX tracking reference that needs to be set in the PIX reference to beneficiary field. This field is retrievable through the response during PIX creation or via the bank instruction endpoint.
Example:
"CIR13FB13A"
Show child attributes
Show child attributes
The account number that the money should be transferred to.
Example:
"4842622"
Response
Successfully created a mock PIX payment.
Show child attributes
Show child attributes
Was this page helpful?
⌘I